# GetExecution Infrastructure

Endpoint for retrieving a specific execution for a specific infrastructure.

Endpoint: GET /api/infrastructures/executions/{id}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `orgIdentifier` (string)
    Org is the organization identifier.

  - `projectIdentifier` (string)
    Project is the project identifier.

## Path parameters:

  - `id` (string, required)
    ID of the event to fetch

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.

## Response 200 fields (application/json):

  - `approvals` (array)

  - `approvals.instanceId` (string, required)

  - `approvals.pipelineApprovals` (array, required)

  - `approvals.pipelineApprovals.approvalID` (string, required)

  - `approvals.pipelineApprovals.deadline` (string)

  - `approvals.pipelineApprovals.message` (string, required)

  - `approvals.pipelineApprovals.orgID` (string, required)

  - `approvals.pipelineApprovals.pipelineExecutionId` (string, required)

  - `approvals.pipelineApprovals.pipelineId` (string)

  - `approvals.pipelineApprovals.pipelineUrl` (string)

  - `approvals.pipelineApprovals.projectID` (string, required)

  - `completedInstanceIds` (array, required)
    Instances fully updated by the execution

  - `events` (array)

  - `events.createdAt` (string, required)

  - `events.event` (object, required)

  - `events.event.progress` (string, required)
    Enum: "unknown", "pending", "processing", "done", "failed", "aborted", "deleted", "replaced"

  - `events.message` (string)
    Message associated with the event

  - `id` (string, required)

  - `infrastructureId` (string, required)

  - `instanceIds` (array, required)
    Instances updated by the execution

  - `message` (string)
    Message associated with the execution

  - `outputs` (object)
    Outputs of the infrastructure execution

  - `pipelineUrl` (string)

  - `progress` (object, required)

  - `spec` (object, required)

  - `spec.identifier` (string, required)

  - `spec.instances` (array)

  - `spec.instances.dependencies` (object)

  - `spec.instances.identifier` (string, required)

  - `spec.instances.implementation` (object)

  - `spec.instances.implementation.backend` (string, required)

  - `spec.instances.implementation.steps` (object, required)

  - `spec.instances.implementation.steps.apply` (object, required)

  - `spec.instances.implementation.steps.create` (object)

  - `spec.instances.implementation.steps.delete` (object)

  - `spec.instances.implementation.steps.destroy` (object, required)

  - `spec.instances.implementation.steps.pause` (object)

  - `spec.instances.implementation.steps.resume` (object)

  - `spec.instances.implementation.values` (object)

  - `spec.instances.metadata` (object)

  - `spec.instances.outputs` (object)

  - `spec.instances.targetState` (object)

  - `spec.instances.targetState.state` (string, required)
    Enum: "unknown", "inactive", "instantiated", "running", "paused"

  - `spec.metadata` (object)

  - `spec.outputs` (object)

  - `spec.targetState` (object, required)

  - `specRevision` (integer, required)

  - `startedAt` (string, required)

  - `stoppedAt` (string)

  - `targetState` (object, required)

## Response 400 fields (application/json):

  - `code` (string)

  - `details` (object)

  - `message` (string, required)

  - `name` (string, required)


